Page MenuHomeWrite.as

Public article authors
Closed, ResolvedPublic

Description

Overview

Develop a concept of public article authors.

Goals

  • Save author information that can be shown publicly
  • Retain author information and its connection to any articles, even when underlying account data is modified (e.g. user is removed from an org) or deleted (e.g. user deletes their account)

Use Case

Multi-author publications and general Publisher users will often want to show the author of a post. They might also want to allow advanced navigation, e.g. showing all posts written by a particular author. This should address this use case.

This could also support author data for articles submitted to publications via Submit.as.

Implementation

Ideas:

  • Leverage the data in any table created to support T734: Outside Contributor role
    • As Contributors will have no underlying account data anyway, we won't need to modify data here
  • Create a new post_authors table

Then, store the one-to-many relationship between a post and its author(s) (supporting future feature: T870: Support multiple post authors)

Revisions and Commits

Event Timeline

matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 13 2021, 7:20 PM
matt added a commit: Restricted Diffusion Commit.Aug 9 2021, 11:57 AM
matt raised the priority of this task from Normal to High.Aug 9 2021, 7:11 PM

Remaining work:

  • An author page available on all org blogs. It should display all posts by that author.
  • Improve how multiple authors show up in the post byline
matt added a commit: Restricted Diffusion Commit.Aug 30 2021, 10:54 PM
In T859#14876, @matt wrote:
  • Improve how multiple authors show up in the post byline

This functionality has moved to T870.

matt closed this task as Resolved by committing Restricted Diffusion Commit.Aug 31 2021, 6:06 PM
matt added a commit: Restricted Diffusion Commit.
matt added a commit: Restricted Diffusion Commit.
matt added a commit: Restricted Diffusion Commit.Sep 1 2021, 5:34 PM
matt added a commit: Restricted Diffusion Commit.Tue, Oct 19, 11:35 PM